Subject: Re: [PATCH v12 13/13] fsmonitor: fix split-index bitmap bounds in tweak_fsmonitor()

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Apr 2026 09:51:57 -0700

Johannes Schindelin <[email-masked]> writes:

> This patch essentially tells Git to disobey the `index.skipHash` config,
> at least under some circumstances. While that _looks_ like it works around
> the observed problem, it is unlikely to be desirable in the long run
> because such an inconsistency is prone to cause problems down the line.
>
> The fundamental problem at hand is that the split-index _requires_ the
> index' hash to be calculated, while the `index.skipHash` config
> specifically _skips_ it. In other words, those two features are
> fundamentally incompatible with one another.

Thanks for clearly spelling out the core problem ...

> So the safest approach I can think of really is what I suggested, to force
> the `GIT_TEST_SPLIT_INDEX` variable to be unset in `t9210-scalar.sh`.

... and a clear recommendation.  Very much appreciated.